package com.bonus.material.devConfig.service;

// EquipmentTypeService.java


import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.devConfig.domain.*;

import java.util.List;

/**
 * 装备分类服务
 */
public interface EquipmentTypeService {

    List<EquipmentTypeDTO> getEquipmentTypeTree();

    List<EquipmentTypeDTO> getEquipmentCascader();

    List<EquipmentTypeEntity>  getEquipmentTypeList(EquipmentTypeEntity query);

    EquipmentType getEquipmentTypeDetail(Long id);

    AjaxResult addEquipmentType(EquipmentType equipmentType);

    AjaxResult updateEquipmentType(EquipmentType equipmentType);

    void deleteEquipmentType(Long id);
}